Skip to main content
POST

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

connectionId
string
required

Parameter connectionId is required for which connection version is created.

Body

application/json

The connection version data that need to be saved for connectionId.

name
string

Name of connection version.

Example:

"Fetch reservations"

description
string

Description of connection version.

Example:

"Get all reservations"

httpMethods
enum<string>[]

HTTP Methods this connection should be invoked by. You can create different connections that are invoked using same URL but which should behave differently depending on method. For example, there can be connection version that handles requests for "GET /orders" and another connection that handles requests for "POST /orders".

Available options:
GET,
POST,
PUT,
DELETE,
PATCH
Example:
publicUrl
string

Public url that will be invoked by third party or merchant.

Example:

"/v1/reservations"

anyOf
object
rules
(Card tokenization · object | Network token tokenization · object | Card detokenization · object | Network token detokenization · object | Custom function · object)[]
status
string
Example:

"draft"

Response

Success.

name
string

Name of connection version.

Example:

"Fetch reservations"

description
string

Description of connection version.

Example:

"Get all reservations"

httpMethods
enum<string>[]

HTTP Methods this connection should be invoked by. You can create different connections that are invoked using same URL but which should behave differently depending on method. For example, there can be connection version that handles requests for "GET /orders" and another connection that handles requests for "POST /orders".

Available options:
GET,
POST,
PUT,
DELETE,
PATCH
Example:
publicUrl
string

Public url that will be invoked by third party or merchant.

Example:

"/v1/reservations"

anyOf
object
rules
(Card tokenization · object | Network token tokenization · object | Card detokenization · object | Network token detokenization · object | Custom function · object)[]
status
string
Example:

"draft"

Last modified on September 29, 2026